signature Acap_TOKENS =
sig
type ('a,'b) token
type svalue
val LEXERROR:  'a * 'a -> (svalue,'a) token
val CRLF:  'a * 'a -> (svalue,'a) token
val SP:  'a * 'a -> (svalue,'a) token
val RPAREN:  'a * 'a -> (svalue,'a) token
val LPAREN:  'a * 'a -> (svalue,'a) token
val NIL:  'a * 'a -> (svalue,'a) token
val DEFAULT:  'a * 'a -> (svalue,'a) token
val TAG: (string) *  'a * 'a -> (svalue,'a) token
val NUMBER: (int) *  'a * 'a -> (svalue,'a) token
val STRING: (string) *  'a * 'a -> (svalue,'a) token
val UNCHANGEDSINCE:  'a * 'a -> (svalue,'a) token
val NOCREATE:  'a * 'a -> (svalue,'a) token
val AND:  'a * 'a -> (svalue,'a) token
val OR:  'a * 'a -> (svalue,'a) token
val NOT:  'a * 'a -> (svalue,'a) token
val ALL:  'a * 'a -> (svalue,'a) token
val ENUMERATE:  'a * 'a -> (svalue,'a) token
val NOTIFY:  'a * 'a -> (svalue,'a) token
val SORT:  'a * 'a -> (svalue,'a) token
val RETURN:  'a * 'a -> (svalue,'a) token
val NOINHERIT:  'a * 'a -> (svalue,'a) token
val MAKECONTEXT:  'a * 'a -> (svalue,'a) token
val LIMIT:  'a * 'a -> (svalue,'a) token
val HARDLIMIT:  'a * 'a -> (svalue,'a) token
val DEPTH:  'a * 'a -> (svalue,'a) token
val SUBSTRING:  'a * 'a -> (svalue,'a) token
val COMPARESTRICT:  'a * 'a -> (svalue,'a) token
val RANGE:  'a * 'a -> (svalue,'a) token
val PREFIX:  'a * 'a -> (svalue,'a) token
val COMPARE:  'a * 'a -> (svalue,'a) token
val ISEQUAL:  'a * 'a -> (svalue,'a) token
val UPDATECONTEXT:  'a * 'a -> (svalue,'a) token
val STORE:  'a * 'a -> (svalue,'a) token
val SETACL:  'a * 'a -> (svalue,'a) token
val SEARCH:  'a * 'a -> (svalue,'a) token
val MYRIGHTS:  'a * 'a -> (svalue,'a) token
val LISTRIGHTS:  'a * 'a -> (svalue,'a) token
val LANG:  'a * 'a -> (svalue,'a) token
val GETQUOTA:  'a * 'a -> (svalue,'a) token
val FREECONTEXT:  'a * 'a -> (svalue,'a) token
val DELETEDSINCE:  'a * 'a -> (svalue,'a) token
val DELETEACL:  'a * 'a -> (svalue,'a) token
val LOGOUT:  'a * 'a -> (svalue,'a) token
val NOOP:  'a * 'a -> (svalue,'a) token
val AUTHENTICATE:  'a * 'a -> (svalue,'a) token
val EOF:  'a * 'a -> (svalue,'a) token
end
signature Acap_LRVALS=
sig
structure Tokens : Acap_TOKENS
structure ParserData:PARSER_DATA
sharing type ParserData.Token.token = Tokens.token
sharing type ParserData.svalue = Tokens.svalue
end
